/* 
 * i-scream central monitoring system
 * http://www.i-scream.org
 * Copyright (C) 2000-2002 i-scream
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

//---PACKAGE DECLARATION---
package uk.org.iscream.cms.server.filter;

//---IMPORTS---
import uk.org.iscream.cms.util.XMLPacket;

/**
 * An interface to which a Plugin for a Filter must adhere.
 *
 * @author  $Author: tdb $
 * @version $Id: PluginFilter.java,v 1.10 2004/08/01 10:40:59 tdb Exp $
 */
public interface PluginFilter {

//---STATIC METHODS---

//---CONSTRUCTORS---

//---PUBLIC METHODS---

    /**
     * Return true if the filter wishes to allow the XMLPacket to pass
     * to the next stage of the plugin filter pipeline.  return false
     * otherwise.
     *
     * @param packet the packet to filter on
     * @return whether the packet is allow to continue on
     */
    public boolean runFilter(XMLPacket packet);
    
    
    /**
     * Return a String representation of what the plugin filter
     * does (e.g. "Rejects packets if x, y, and z")
     *
     * @return the description
     */
    public String getDescription();

//---PRIVATE METHODS---

//---ACCESSOR/MUTATOR METHODS---

}
